## org.eclipse.emf.codegen.jmerge
Class JControlModel.DictionaryPattern

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.DictionaryPattern
          org.eclipse.emf.codegen.jmerge.JControlModel.DictionaryPattern

Enclosing class:
  JControlModel

Deprecated. in 2.2.0. Use `JControlModel.DictionaryPattern` instead.

    @Deprecated
    public static class JControlModel.DictionaryPattern

extends JControlModel.DictionaryPattern

Field Summary
`protected java.lang.String` `classPrefix`

Fields inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.DictionaryPattern
`name, pattern, selectorFeature, stringParameterType`

Constructor Summary
`JControlModel.DictionaryPattern()` Deprecated.
`JControlModel.DictionaryPattern(org.w3c.dom.Element element)` Deprecated.

Method Summary
`protected JControlModel.Feature` `createFeature(java.lang.String classPrefix, java.lang.String path, java.lang.Class[] parameterTypes)` Deprecated.
`java.lang.String` `getClassPrefix()`
`protected void` `setClassPrefix(java.lang.String classPrefix)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.DictionaryPattern
`getName, getPattern, getSelectorFeature, initialize, setName, setPattern, setSelectorFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.DictionaryPattern

    public JControlModel.DictionaryPattern()

  Deprecated.

### JControlModel.DictionaryPattern

    public JControlModel.DictionaryPattern(org.w3c.dom.Element element)

  Deprecated.

Method Detail

### createFeature

    protected JControlModel.Feature createFeature(java.lang.String classPrefix,
                                                  java.lang.String path,
                                                  java.lang.Class[] parameterTypes)

  Deprecated.
  Overrides:
    `createFeature` in class `JControlModel.DictionaryPattern`

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.